## calamares-settings-ubuntu 24.04.1

=== common/modules/pkgselect/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set( CMAKE_CXX_STANDARD 17 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )

set( CALAMARES_VERSION_REQUIRED 3.3.0 )
find_package(Calamares ${CALAMARES_VERSION_REQUIRED} NO_CMAKE_PACKAGE_REGISTRY)
if (NOT TARGET Calamares::calamares OR NOT TARGET Calamares::calamaresui)
    find_package(Calamares ${CALAMARES_VERSION_REQUIRED} REQUIRED)
endif()

message(STATUS "Found Calamares version ${Calamares_VERSION}")
message(STATUS "              libraries ${Calamares_LIB_DIRS}")
message(STATUS "")

calamares_add_plugin( pkgselect
    TYPE viewmodule
    EXPORT_MACRO PLUGINDLLEXPORT_PRO
    SOURCES
    	PackageSelectViewStep.cpp
    RESOURCES
        pkgselect.qrc
    SHARED_LIB
)

=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.1) noble; urgency=medium

  * Fix Vcs-*.
  * Add a Package Select module, allowing for fine-tuned customization of the
    installed system.
  * Migrate to deb822 sources, removing the sources.list file pre-populated by
    livecd-rootfs. Main and Universe deb sources are enabled by default,
    Restricted and Multiverse are opt-in via the installer checkbox.
  * Welcome to Noble!

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 20 Oct 2023 13:39:32 -0500

=== debian/control ===
Source: calamares-settings-ubuntu
Section: devel
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: calamares,
               cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               intltool,
               libkf5coreaddons-dev,
               libqt5svg5-dev,
               libyaml-cpp-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.2
Homepage: https://code.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
Vcs-Browser: https://git.lubuntu.me/Lubuntu/calamares-settings-ubuntu/
Vcs-Git: https://git.lubuntu.me/Lubuntu/calamares-settings-ubuntu.git
Rules-Requires-Root: no

Package: calamares-settings-lubuntu
Architecture: all
Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
         ${misc:Depends}
Conflicts: calamares-settings-ubuntustudio
Description: Lubuntu Calamares Settings and Branding
 This package contains the Calamares settings and branding for Lubuntu.
 As part of the branding the installer slideshow is contained within.
 The settings ensure a proper Lubuntu desktop is installed with the
 LXQt desktop environment.

Package: calamares-settings-ubuntu-common
Architecture: any
Depends: calamares (>= 3.2.14~),
         cryptsetup,
         keyutils,
         python3,
         python3-distro,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         squashfs-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Common Calamares Settings
 This package contains the common Calamares settings for all flavors.
 There is also a automirror Python script to set sources based on
 geolocation.

Package: calamares-settings-ubuntustudio
Architecture: all
Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
         ${misc:Depends}
Conflicts: calamares-settings-lubuntu
Description: Ubuntu Studio Calamares Settings and Branding
 This package contains the Calamares settings and branding for Ubuntu Studio.
 As part of the branding the installer slideshow is contained within.
 The settings ensure a proper Ubuntu Studio desktop is installed with the
 KDE Plasma desktop environment.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
PKGSELECT = "common/modules/pkgselect"
MODULES_DIR = "debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules"

%:
	dh $@

override_dh_auto_configure:
	cd $(PKGSELECT) && mkdir build && cd build && cmake ..

override_dh_auto_build:
	make;
	cd $(PKGSELECT)/build && $(MAKE)

override_dh_auto_install:
	cd $(PKGSELECT)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/ install

override_dh_missing:
	dh_missing
	cp -v common/modules/pkgselect/pkgselect.qml debian/calamares-settings-lubuntu/etc/calamares/branding/lubuntu/pkgselect.qml
	mkdir -pv $(MODULES_DIR)
	cp -vr common/modules/automirror $(MODULES_DIR)
	mkdir -pv debian/calamares-settings-ubuntu-common/etc/calamares/modules
	cp -vr common/modules/*.conf debian/calamares-settings-ubuntu-common/etc/calamares/modules
	chmod -R 755 debian/calamares-settings-ubuntu-common/usr/lib/
	chmod 644 $(MODULES_DIR)/automirror/automirror.conf
	chmod 644 $(MODULES_DIR)/automirror/module.desc
	mkdir -pv debian/calamares-settings-ubuntu-common/usr/bin/
	cp -v common/snap_install debian/calamares-settings-ubuntu-common/usr/bin/calamares_snap_install

## calamares-settings-ubuntu 24.04.2

=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.2) noble; urgency=medium

  * Fix FTBFS on !(amd64).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 14 Nov 2023 14:34:09 -0600

=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,21 @@
 	dh $@
 
 override_dh_auto_configure:
+ifeq ($(DEB_BUILD_ARCH),amd64)
 	cd $(PKGSELECT) && mkdir build && cd build && cmake ..
+endif
 
 override_dh_auto_build:
+ifeq ($(DEB_BUILD_ARCH),amd64)
 	make;
 	cd $(PKGSELECT)/build && $(MAKE)
+endif
 
 override_dh_auto_install:
+ifeq ($(DEB_BUILD_ARCH),amd64)
 	cd $(PKGSELECT)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/ install
+endif
+
 
 override_dh_missing:
 	dh_missing

## calamares-settings-ubuntu 24.04.5

=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.5) noble; urgency=medium

  * Fixed an FTBFS on !(amd64).

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 15 Nov 2023 21:12:05 -0600

calamares-settings-ubuntu (1:24.04.4) noble; urgency=medium

  * Fixed the pkgselect module's CMakeLists.txt file.
  * Removed some unnecessary path segments from debian/rules.
  * Unset the executable bit on files that shouldn't be executable.
  * Exported the LC_ALL=C.UTF-8 and DEB_BUILD_MAINT_OPTIONS = hardening =+all
    environment variables in debian/rules since we're building a shared
    library in here now.
  * Removed trailing whitespace from changelog.
  * Added some lintian-overrides for the lack of a manual page and an
    executable Python script in /usr/lib

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 15 Nov 2023 18:33:39 -0600

calamares-settings-ubuntu (1:24.04.3) noble; urgency=medium

  * Revert a failed FTBFS fix.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 15 Nov 2023 17:01:22 -0600

## calamares-settings-ubuntu 24.04.6

=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.6) noble; urgency=medium

  * Use sudo -E to launch Calamares so that Lubuntu theming is preserved.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 19 Nov 2023 16:26:18 -0600

## calamares-settings-ubuntu 24.04.7

=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.7) noble; urgency=medium

  * Copy the Calamares installation log file from $HOME rather than /root.
    (LP: #2044006)
  * Update a Lintian override now that we're using sudo rather than pkexec to
    launch Calamares in Lubuntu.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 20 Nov 2023 12:21:41 -0600

## calamares-settings-ubuntu 24.04.8

=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.8) noble; urgency=medium

  * Use lxqt-sudo instead of sudo, to pick up theming.
  * Even if modules fail, try to perform the unmount.
  * Explicitly depend on lubuntu-installer-prompt, which provides a default
    workflow on the live system. Remove this package at the end of the install
    as well.
  * Go back to fullscreen.
  * Add a full installation radio button, and disable the bottom checkboxes if
    minimal install is selected.
  * Update snaps used for Krita.
  * Install the QML file to the proper directory.
  * Add some testing code to the QML file to make it do what we'd like.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 22 Nov 2023 18:30:39 -0600

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
 Architecture: all
 Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
          ${misc:Depends}
+Recommends: lubuntu-installer-prompt
 Conflicts: calamares-settings-ubuntustudio
 Description: Lubuntu Calamares Settings and Branding
  This package contains the Calamares settings and branding for Lubuntu.

## calamares-settings-ubuntu 24.04.9

=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.9) noble; urgency=medium

  * Remove muon from the list of packages to purge when doing a minimal
    installation, it no longer exists in Noble.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 08 Dec 2023 01:16:24 +0000

## calamares-settings-ubuntu 24.04.10

=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.10) noble; urgency=medium

  * Use new icon for Lubuntu's installer, and improve theming.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Dec 2023 18:20:50 -0600

## calamares-settings-ubuntu 24.04.11

=== common/modules/pkgselect/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,16 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+
+include(FeatureSummary)
 
 set( CMAKE_CXX_STANDARD 17 )
 set( CMAKE_CXX_STANDARD_REQUIRED ON )
 
 set( CALAMARES_VERSION_REQUIRED 3.3.0 )
+
+find_package(ECM ${ECM_VERSION} NO_MODULE)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
+include(KDEInstallDirs)
+find_package(KF5 REQUIRED COMPONENTS CoreAddons)
 find_package(Calamares ${CALAMARES_VERSION_REQUIRED} NO_CMAKE_PACKAGE_REGISTRY)
 if (NOT TARGET Calamares::calamares OR NOT TARGET Calamares::calamaresui)
     find_package(Calamares ${CALAMARES_VERSION_REQUIRED} REQUIRED)

=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.11) noble; urgency=medium

  * Update welcome slide for Noble.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sat, 30 Dec 2023 16:26:04 -0500

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
 Package: calamares-settings-lubuntu
 Architecture: all
 Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
+         lubuntu-installer-prompt (>= 1.1.1),
          ${misc:Depends}
 Recommends: lubuntu-installer-prompt
 Conflicts: calamares-settings-ubuntustudio

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
PKGSELECT = "common/modules/pkgselect"
MODULES_DIR = "debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules"

%:
	dh $@

override_dh_auto_configure:
	cd $(PKGSELECT) && mkdir build && cd build && cmake ..

override_dh_auto_build:
	make;
	cd $(PKGSELECT)/build && $(MAKE)

override_dh_auto_install:
	cd $(PKGSELECT)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/calamares-settings-ubuntu-common/ install

override_dh_missing:
	dh_missing
	mkdir -pv $(MODULES_DIR)
	cp -vr common/modules/automirror $(MODULES_DIR)
	mkdir -pv debian/calamares-settings-ubuntu-common/etc/calamares/modules
	cp -vr common/modules/*.conf debian/calamares-settings-ubuntu-common/etc/calamares/modules
	chmod -R 755 debian/calamares-settings-ubuntu-common/usr/lib/
	chmod 644 $(MODULES_DIR)/automirror/automirror.conf
	chmod 644 $(MODULES_DIR)/automirror/module.desc
	chmod 644 $(MODULES_DIR)/pkgselect/libcalamares_viewmodule_pkgselect.so
	chmod 644 $(MODULES_DIR)/pkgselect/module.desc
	mkdir -pv debian/calamares-settings-ubuntu-common/usr/bin/
	cp -v common/snap_install debian/calamares-settings-ubuntu-common/usr/bin/calamares_snap_install

## calamares-settings-ubuntu 24.04.39

=== Makefile ===
#!/usr/bin/make -f

#SUBDIRS :=

all:
	# Desktop file
	(cd lubuntu/po/ && make)
	(cd kubuntu/po/ && make)
	(cd ubuntuunity/po && make)
	# Slideshow
	(cd lubuntu/branding/lubuntu/lang/ && make)
	# basicwallpaper
	(cd common/basicwallpaper && mkdir build && cd build && cmake .. -DCMAKE_BUILD_TYPE=Release && make)
	# Lubuntu OEM setup stuff
	(cd lubuntu && mkdir oemconfig && cd oemconfig && mkdir -p usr/bin && mkdir -p etc/calamares && mkdir -p usr/share/xsessions && mkdir -p usr/libexec && mkdir -p etc && mkdir -p usr/share/applications && mkdir -p home/oem/Desktop)
	(cp lubuntu/calamares-logs-helper lubuntu/oemconfig/usr/bin/)
	(cp lubuntu/oem/sddm.conf lubuntu/oemconfig/etc/)
	(cp lubuntu/oem/sudoers.oem lubuntu/oemconfig/etc/ && chmod 400 lubuntu/oemconfig/etc/sudoers.oem)
	(cp lubuntu/oem/calamares-oemfinish.sh lubuntu/oemconfig/usr/libexec/)
	(cp lubuntu/oem/calamares-finish-oem lubuntu/oemconfig/usr/bin/)
	(cp lubuntu/oem/calamares-finish-oem.desktop lubuntu/oemconfig/usr/share/applications/)
	(cp -r lubuntu/branding lubuntu/oemconfig/etc/calamares/)
	(cp -r lubuntu/oem/modules/ lubuntu/oemconfig/etc/calamares/)
	(cp lubuntu/oem/settings.conf lubuntu/oemconfig/etc/calamares/)
	(cp lubuntu/oem/lubuntu-oem-env/lubuntu-oem-environment.desktop lubuntu/oemconfig/usr/share/xsessions/)
	(cp lubuntu/oem/lubuntu-oem-env/start-lubuntu-oem-env lubuntu/oemconfig/usr/libexec/)
	(cp common/basicwallpaper/build/basicwallpaper lubuntu/oemconfig/usr/bin/)
	(cp lubuntu/oem/calamares-finish-oem.desktop lubuntu/oemconfig/home/oem/Desktop/)
	(fakeroot bash -c "chown -R root:root lubuntu/oemconfig && tar cvzf lubuntu/oemconfig.tar.gz lubuntu/oemconfig")
	# Kubuntu OEM setup stuff
	(cd kubuntu && mkdir oemconfig && cd oemconfig && mkdir -p usr/bin && mkdir -p etc/calamares && mkdir -p usr/share/xsessions && mkdir -p usr/libexec && mkdir -p etc && mkdir -p usr/share/applications && mkdir -p home/oem/Desktop)
	(cp kubuntu/calamares-logs-helper kubuntu/oemconfig/usr/bin/)
	(cp kubuntu/oem/sddm.conf kubuntu/oemconfig/etc/)
	(cp kubuntu/oem/sudoers.oem kubuntu/oemconfig/etc/ && chmod 400 kubuntu/oemconfig/etc/sudoers.oem)
	(cp kubuntu/oem/calamares-oemfinish.sh kubuntu/oemconfig/usr/libexec/)
	(cp kubuntu/oem/calamares-finish-oem kubuntu/oemconfig/usr/bin/)
	(cp kubuntu/oem/calamares-finish-oem.desktop kubuntu/oemconfig/usr/share/applications/)
	(cp -r kubuntu/branding kubuntu/oemconfig/etc/calamares/)
	(cp -r kubuntu/oem/modules/ kubuntu/oemconfig/etc/calamares/)
	(cp kubuntu/oem/settings.conf kubuntu/oemconfig/etc/calamares/)
	(cp kubuntu/oem/kubuntu-oem-env/kubuntu-oem-environment.desktop kubuntu/oemconfig/usr/share/xsessions/)
	(cp kubuntu/oem/kubuntu-oem-env/start-kubuntu-oem-env kubuntu/oemconfig/usr/libexec/)
	(cp common/basicwallpaper/build/basicwallpaper kubuntu/oemconfig/usr/bin/)
	(cp kubuntu/oem/calamares-finish-oem.desktop kubuntu/oemconfig/home/oem/Desktop/)
	(fakeroot bash -c "chown -R root:root kubuntu/oemconfig && tar cvzf kubuntu/oemconfig.tar.gz kubuntu/oemconfig")
	# Ubuntu Unity OEM setup stuff
	(cd ubuntuunity && mkdir oemconfig && cd oemconfig && mkdir -p usr/bin && mkdir -p etc/calamares && mkdir -p usr/share/xsessions && mkdir -p usr/libexec && mkdir -p etc/lightdm && mkdir -p usr/share/applications && mkdir -p home/oem/Desktop)
	(cp ubuntuunity/calamares-logs-helper ubuntuunity/oemconfig/usr/bin/)
	(cp ubuntuunity/oem/lightdm.conf ubuntuunity/oemconfig/etc/lightdm/)
	(cp ubuntuunity/oem/sudoers.oem ubuntuunity/oemconfig/etc/ && chmod 400 kubuntu/oemconfig/etc/sudoers.oem)
	(cp ubuntuunity/oem/calamares-oemfinish.sh ubuntuunity/oemconfig/usr/libexec/)
	(cp ubuntuunity/oem/calamares-finish-oem ubuntuunity/oemconfig/usr/bin/)
	(cp ubuntuunity/oem/calamares-finish-oem.desktop ubuntuunity/oemconfig/usr/share/applications/)
	(cp -r ubuntuunity/branding ubuntuunity/oemconfig/etc/calamares/)
	(cp -r ubuntuunity/oem/modules/ ubuntuunity/oemconfig/etc/calamares/)
	(cp ubuntuunity/oem/settings.conf ubuntuunity/oemconfig/etc/calamares/)
	(cp ubuntuunity/oem/ubuntu-unity-oem-env/ubuntu-unity-oem-environment.desktop ubuntuunity/oemconfig/usr/share/xsessions/)
	(cp ubuntuunity/oem/ubuntu-unity-oem-env/start-ubuntu-unity-oem-env ubuntuunity/oemconfig/usr/libexec/)
	(cp common/basicwallpaper/build/basicwallpaper ubuntuunity/oemconfig/usr/bin/)
	(cp ubuntuunity/oem/calamares-finish-oem.desktop ubuntuunity/oemconfig/home/oem/Desktop/)
	(fakeroot bash -c "chown -R root:root ubuntuunity/oemconfig && tar cvzf ubuntuunity/oemconfig.tar.gz ubuntuunity/oemconfig")
	# Get rid of the unnecessary files
	find lubuntu/ -type f -iname "*.in" | xargs rm -f
	find lubuntu/ -type f -iname "Makefile" | xargs rm -f
	find kubuntu/ -type f -iname "*.in" | xargs rm -f
	find kubuntu/ -type f -iname "Makefile" | xargs rm -f
	find ubuntuunity/ -type f -iname "*.in" | xargs rm -f
	find ubuntuunity/ -type f -iname "Makefile" | xargs rm -f
	rm -rf kubuntu/oemconfig
	rm -rf lubuntu/oemconfig
	rm -rf ubuntuunity/oemconfig
	rm -rf common/basicwallpaper/build
# vim:ts=4

=== common/basicwallpaper/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(basicwallpaper VERSION 0.1 LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(QT NAMES Qt6 Qt5 COMPONENTS Widgets REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Widgets REQUIRED)

set(PROJECT_SOURCES
        main.cpp
        mainwindow.cpp
        mainwindow.h
        mainwindow.ui
)

if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    qt_add_executable(basicwallpaper
        MANUAL_FINALIZATION
        ${PROJECT_SOURCES}
    )
else()
    add_executable(basicwallpaper
        ${PROJECT_SOURCES}
    )
endif()

target_link_libraries(basicwallpaper PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)

install(TARGETS basicwallpaper
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

if(QT_VERSION_MAJOR EQUAL 6)
    qt_finalize_executable(basicwallpaper)
endif()

=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.39) noble; urgency=medium

  * Fix permissions on /home/oem when doing OEM installations. (LP: #2063403)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 25 Apr 2024 00:01:37 -0500

calamares-settings-ubuntu (1:24.04.38) noble; urgency=high

  * Do not remove zram-config on Ubuntu Unity, it does not exist in the first
    place (LP: #2063108).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 22 Apr 2024 07:10:28 -0500

calamares-settings-ubuntu (1:24.04.37) noble; urgency=medium

  * Correctly lengthen timeouts for network and initramfs package commands.
    (LP: #2060429)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 19 Apr 2024 18:52:09 -0500

calamares-settings-ubuntu (1:24.04.36) noble; urgency=medium

  * Don't show Thunderbird as an installable third-party app on Kubuntu.
    (LP: #2062438)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 19 Apr 2024 17:38:06 -0500

calamares-settings-ubuntu (1:24.04.35) noble; urgency=medium

  * Remove timeouts for network-related package commands. (LP: #2062106)
  * Remove timeouts for update-initramfs. (LP: #2060429) 

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 19 Apr 2024 21:23:54 +0000

calamares-settings-ubuntu (1:24.04.34) noble; urgency=medium

  * Add icon on Desktop to finish OEM install. (LP: #2060928) 

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 19 Apr 2024 19:18:59 +0000

calamares-settings-ubuntu (1:24.04.33) noble; urgency=medium

  * Fix slideshow image sizes for Kubuntu.
  * Fix the size of the logo in the upper-left corner for Kubuntu.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 18 Apr 2024 19:28:02 -0500

calamares-settings-ubuntu (1:24.04.32) noble; urgency=medium

  * Remove the third-party driver installation checkbox from pkgselect, its
    functionality was not implemented.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 17 Apr 2024 23:18:12 -0500

calamares-settings-ubuntu (1:24.04.31) noble; urgency=medium

  * Add Kubuntu branding. (LP: #2060845)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 16 Apr 2024 12:57:56 -0500

calamares-settings-ubuntu (1:24.04.30) noble; urgency=medium

  * Don't keep lubuntu-snap-installation-monitor installed on the minimal
    option (LP: #2061318).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 16 Apr 2024 10:24:00 -0500

calamares-settings-ubuntu (1:24.04.29) noble; urgency=medium

  [ Aaron Rainbolt ]
  * Change Kubuntu's Calamares sidebar color.

  [ Walter Lapchynski ]
  * Remove after_bootloader contextual process. (LP: #2061681)

 -- Walter Lapchynski <wxl@ubuntu.com>  Tue, 16 Apr 2024 01:10:47 +0000

calamares-settings-ubuntu (1:24.04.28) noble; urgency=medium

  * Run apt updates before installing packages. (LP: #2061150) 

 -- Walter Lapchynski <wxl@ubuntu.com>  Sat, 13 Apr 2024 00:44:32 +0000

calamares-settings-ubuntu (1:24.04.27) noble; urgency=medium

  * Run the pkgselect contextualprocesses after packages in Kubuntu and Ubuntu
    Unity (LP: #2060879)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 11 Apr 2024 02:49:44 -0500

calamares-settings-ubuntu (1:24.04.26) noble; urgency=medium

  * Make the pkgselect module actually work on Kubuntu and Ubuntu Unity.
    (LP: #2060879)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 10 Apr 2024 16:16:21 -0500

calamares-settings-ubuntu (1:24.04.25) noble; urgency=medium

  * Be completely sure apt will not try to prompt the user.
  * Bump the timeout limits to 15 minutes for both pkgselect
    contextualprocess modules.
  * Allow fixconkeys-part2 a 5 minute window to run, which should be
    enough to run update-initramfs (LP: #2060429).
  * Adjust spacers accordingly on no network.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 09 Apr 2024 03:15:53 -0500

calamares-settings-ubuntu (1:24.04.24) noble; urgency=medium

  * Don't try to remove the nonexistant zram-config package from a Kubuntu
    installation.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 08 Apr 2024 21:07:08 -0500

calamares-settings-ubuntu (1:24.04.23) noble; urgency=medium

  * Set GOCACHE to stay within the build directory

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 03 Apr 2024 19:40:50 +0200

calamares-settings-ubuntu (1:24.04.22) noble; urgency=medium

  * Add missing build dependency on golang-go.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 01 Apr 2024 15:28:24 -0500

calamares-settings-ubuntu (1:24.04.21) noble; urgency=medium

  [ Simon Quigley ]
  * Revamp pkgselect and enable it for everyone (LP: #2056061).
  * Wraaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaap.
  * No-network UX improvements for pkgselect (LP: #2048727).

  [ Aaron Rainbolt ]
  * Don't try to start Unity after the OEM environment exits on Ubuntu Unity,
    this has to be done by logging in via LightDM.
  * Fix a couple of goofs with post-install package purging.

  [ Walter Lapchynski ]
  * Make links work. (LP: #1981473)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 28 Mar 2024 23:30:34 -0500

calamares-settings-ubuntu (1:24.04.20) noble; urgency=medium

  * Fix LUKS passphrase unlocker for non-US keyboard layouts.
  * Disable pkgselect module on Kubuntu, it's not ready for use and wasn't
    intentionally enabled.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 21 Mar 2024 13:32:53 -0500

calamares-settings-ubuntu (1:24.04.19) noble; urgency=medium

  * Add Ubuntu Unity configuration. (LP: #2055799)
  * Disable GeoIP in a couple missed places.
  * Don't tell the user that they've disabled OEM configuration mode when they
    chose to not disable it.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 17 Mar 2024 20:14:00 +0000

calamares-settings-ubuntu (1:24.04.18) noble; urgency=medium

  * GeoIP in welcome module disabled. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Wed, 13 Mar 2024 18:16:06 +0000

calamares-settings-ubuntu (1:24.04.17) noble; urgency=medium

  [ Neal Gompa ]
  * debian/control: Define the flavor packages as swappable packages

  [ Aaron Rainbolt ]


## calamares-settings-ubuntu 24.04.40

=== common/modules/pkgselect/CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
     EXPORT_MACRO PLUGINDLLEXPORT_PRO
     SOURCES
     	PackageSelectViewStep.cpp
-    RESOURCES
-        pkgselect.qrc
+    UI
+        pkgselect.ui
     SHARED_LIB
 )

=== debian/changelog ===
calamares-settings-ubuntu (1:24.04.40) noble; urgency=medium

  * Fix pkgselect UI becoming centered when minimal install mode is selected.
    (LP: #2076303)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 07 Aug 2024 19:56:38 -0500

=== debian/control ===
Source: calamares-settings-ubuntu
Section: devel
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: calamares (>= 3.3.5),
               cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               golang-github-snapcore-snapd-dev (>= 2.62),
               golang-go,
               golang-gopkg-yaml.v2-dev,
               intltool,
               libkf5coreaddons-dev,
               libqt5svg5-dev,
               libyaml-cpp-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.2
Homepage: https://code.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
Vcs-Browser: https://git.lubuntu.me/Lubuntu/calamares-settings-ubuntu/
Vcs-Git: https://git.lubuntu.me/Lubuntu/calamares-settings-ubuntu.git
Rules-Requires-Root: no

Package: calamares-settings-kubuntu
Architecture: all
Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
         ${misc:Depends}
Conflicts: calamares-settings-ubuntu-flavor
Provides: calamares-settings-ubuntu-flavor
Description: Kubuntu Calamares Settings and Branding
 This package contains the Calamares settings and branding for Kubuntu.
 As part of the branding the installer slideshow is contained within.
 The settings ensure a proper Kubuntu desktop is installed with the
 KDE Plasma desktop environment.

Package: calamares-settings-lubuntu
Architecture: all
Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
         ${misc:Depends}
Recommends: lubuntu-installer-prompt
Conflicts: calamares-settings-ubuntu-flavor
Provides: calamares-settings-ubuntu-flavor
Description: Lubuntu Calamares Settings and Branding
 This package contains the Calamares settings and branding for Lubuntu.
 As part of the branding the installer slideshow is contained within.
 The settings ensure a proper Lubuntu desktop is installed with the
 LXQt desktop environment.

Package: calamares-settings-ubuntu-unity
Architecture: all
Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
         qt5-style-kvantum,
         qt5-style-kvantum-themes,
         ${misc:Depends}
Conflicts: calamares-settings-ubuntu-flavor
Provides: calamares-settings-ubuntu-flavor
Description: Ubuntu Unity Calamares Settings and Branding
 This package contains the Calamares settings and branding for Ubuntu Unity.
 As part of the branding the installer slideshow is contained within.
 The settings ensure a proper Ubuntu Unity desktop is installed with the
 Unity desktop environment.

Package: calamares-settings-ubuntu-common
Architecture: any
Depends: calamares (>= 3.2.14~),
         cryptsetup,
         kdialog,
         keyutils,
         python3,
         python3-distro,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         squashfs-tools,
         sudo,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Common Calamares Settings
 This package contains the common Calamares settings for all flavors.
 There is also a automirror Python script to set sources based on
 geolocation.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 export LC_ALL=C.UTF-8
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export GOPATH=/usr/share/gocode
+export GO111MODULE=off
+export GOCACHE=$(CURDIR)/.gocache
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 PKGSELECT = "common/modules/pkgselect"
@@ -11,14 +14,19 @@
 	dh $@
 
 override_dh_auto_configure:
-	cd $(PKGSELECT) && mkdir build && cd build && cmake ..
+	(cd $(PKGSELECT) && mkdir build && cd build && cmake ..)
 
 override_dh_auto_build:
 	make;
-	cd $(PKGSELECT)/build && $(MAKE)
+	(cd $(PKGSELECT)/build && $(MAKE))
+	(cd common/snap-seed-glue && go build -gcflags="all=-N -l" -ldflags="-compressdwarf=false" -o snap-seed-glue main.go)
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf $(GOCACHE)
 
 override_dh_auto_install:
-	cd $(PKGSELECT)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/calamares-settings-ubuntu-common/ install
+	(cd $(PKGSELECT)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/calamares-settings-ubuntu-common/ install)
 
 override_dh_missing:
 	dh_missing
@@ -32,4 +40,7 @@
 	chmod 644 $(MODULES_DIR)/pkgselect/libcalamares_viewmodule_pkgselect.so
 	chmod 644 $(MODULES_DIR)/pkgselect/module.desc
 	mkdir -pv debian/calamares-settings-ubuntu-common/usr/bin/
-	cp -v common/snap_install debian/calamares-settings-ubuntu-common/usr/bin/calamares_snap_install
+	cp -v common/snap-seed-glue/snap-seed-glue debian/calamares-settings-ubuntu-common/usr/bin/snap-seed-glue
+	mkdir -pv debian/calamares-settings-ubuntu-common/usr/libexec/
+	cp -v common/fixconkeys-part1 debian/calamares-settings-ubuntu-common/usr/libexec/fixconkeys-part1
+	cp -v common/fixconkeys-part2 debian/calamares-settings-ubuntu-common/usr/libexec/fixconkeys-part2

## calamares-settings-ubuntu 24.10.1

=== debian/changelog ===
calamares-settings-ubuntu (1:24.10.1) oracular; urgency=medium

  * Welcome to Oracular Oriole!

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 30 Apr 2024 15:24:38 -0500

## calamares-settings-ubuntu 24.10.2

=== debian/changelog ===
calamares-settings-ubuntu (1:24.10.2) oracular; urgency=medium

  * kubuntu: Change donate URL to point to Kubuntu's donation page
  * kubuntu: Use networkcheck.kde.org for checking for an Internet connection
  * kubuntu: Do not recommend that the user have an Internet connection during
    first-time user setup after an OEM installation
  * ubuntuunity: Do not recommend that the user have an Internet connection
    during first-time user setup after an OEM installation
  * all: Change the UID of the OEM configuration user to 60999.
    - This is done because otherwise the OEM configuration user is given UID
      1000. This results in the first real user on the machine having UID
      1001, which could cause issues in a single-user deployment where the
      user must have or is assumed to have UID 1000. Setting the OEM
      configuration user's UID to 60999 results in the first real user having
      UID 1000. This is similar (though not identical) to Ubiquity's behavior
      with the OEM configuration user.
  * kubuntu: Use QT_QPA_PLATFORMTHEME="kde" rather than
    QT_STYLE_OVERRIDE="Breeze" for the OEM first-time setup session.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 12 Jun 2024 23:26:13 -0500

## calamares-settings-ubuntu 24.10.3

=== debian/changelog ===
calamares-settings-ubuntu (1:24.10.3) oracular; urgency=medium

  * Fix pkgselect UI becoming centered when minimal install mode is selected.
    (LP: #2076303) 

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 08 Aug 2024 14:25:24 -0500

## calamares-settings-ubuntu 24.10.5

=== debian/changelog ===
calamares-settings-ubuntu (1:24.10.5) oracular; urgency=medium

  * Update Kubuntu slideshow for 24.10 (LP: #2080925)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Sep 2024 21:46:11 +0100

calamares-settings-ubuntu (1:24.10.4) oracular; urgency=medium

  * Fix welcome image for Kubuntu, Lubuntu, and Ubuntu Unity. (LP: #2080925)
  * Set root partition name properly for Kubuntu, Lubuntu, and Ubuntu Unity.
    (LP: #2065602)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 24 Sep 2024 22:23:11 -0500

## calamares-settings-ubuntu 25.04.1

=== common/modules/pkgselectprocess/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

include(FeatureSummary)

set( CMAKE_CXX_STANDARD 20 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )

set( CALAMARES_VERSION_REQUIRED 3.3.9 )

find_package(ECM "6.0.0" NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
include(KDEInstallDirs)
find_package(KF6 REQUIRED COMPONENTS CoreAddons)
find_package(Calamares ${CALAMARES_VERSION_REQUIRED} NO_CMAKE_PACKAGE_REGISTRY)
if (NOT TARGET Calamares::calamares OR NOT TARGET Calamares::calamaresui)
    find_package(Calamares ${CALAMARES_VERSION_REQUIRED} REQUIRED)
endif()

message(STATUS "Found Calamares version ${Calamares_VERSION}")
message(STATUS "              libraries ${Calamares_LIB_DIRS}")
message(STATUS "")

calamares_add_plugin( pkgselectprocess
    TYPE job
    EXPORT_MACRO PLUGINDLLEXPORT_PRO
    SOURCES
    	PackageSelectProcess.cpp
    SHARED_LIB
    NO_CONFIG
)

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.1) plucky; urgency=medium

  * Welcome to Plucky Puffin!
  * Port to Qt 6.
  * Rewrite the pkgselect module and its processing.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 Oct 2024 19:23:22 -0500

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,20 @@
 Priority: optional
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: calamares (>= 3.3.5),
+Build-Depends: calamares (>= 3.3.9),
                cmake,
                debhelper-compat (= 13),
                extra-cmake-modules,
-               golang-github-snapcore-snapd-dev (>= 2.62),
-               golang-go,
-               golang-gopkg-yaml.v2-dev,
                intltool,
-               libkf5coreaddons-dev,
-               libqt5svg5-dev,
+               libkf6coreaddons-dev,
+               libqt6svg6-dev,
                libyaml-cpp-dev,
-               qtbase5-dev,
-               qtdeclarative5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
-Standards-Version: 4.6.2
+               qt6-base-dev,
+               qt6-declarative-dev,
+               qt6-l10n-tools,
+               qt6-tools-dev,
+               qt6-tools-dev-tools
+Standards-Version: 4.7.0
 Homepage: https://code.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/calamares-settings-ubuntu/
 Vcs-Git: https://git.lubuntu.me/Lubuntu/calamares-settings-ubuntu.git
@@ -52,8 +50,8 @@
 Package: calamares-settings-ubuntu-unity
 Architecture: all
 Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
-         qt5-style-kvantum,
-         qt5-style-kvantum-themes,
+         qt6-style-kvantum,
+         qt6-style-kvantum-themes,
          ${misc:Depends}
 Conflicts: calamares-settings-ubuntu-flavor
 Provides: calamares-settings-ubuntu-flavor
@@ -65,14 +63,15 @@
 
 Package: calamares-settings-ubuntu-common
 Architecture: any
-Depends: calamares (>= 3.2.14~),
+Depends: calamares (>= 3.3.9),
          cryptsetup,
          kdialog,
          keyutils,
          python3,
          python3-distro,
-         qml-module-qtquick-window2,
-         qml-module-qtquick2,
+         qml6-module-qtquick,
+         qml6-module-qtquick-window,
+         snapd-seed-glue,
          squashfs-tools,
          sudo,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export GOPATH=/usr/share/gocode
export GO111MODULE=off
export GOCACHE=$(CURDIR)/.gocache
export PKGSELECT = "common/modules/pkgselect"
export PKGSELECTPROCESS = "common/modules/pkgselectprocess"
export MODULES_DIR = "debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules"

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	(cd $(PKGSELECT) && mkdir build && cd build && cmake ..)
	(cd $(PKGSELECTPROCESS) && mkdir build && cd build && cmake ..)

override_dh_auto_build:
	make;
	(cd $(PKGSELECT)/build && $(MAKE))
	(cd $(PKGSELECTPROCESS)/build && $(MAKE))

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(GOCACHE)

override_dh_auto_install:
	(cd $(PKGSELECT)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/calamares-settings-ubuntu-common/ install)
	(cd $(PKGSELECTPROCESS)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/calamares-settings-ubuntu-common/ install)

override_dh_missing:
	dh_missing
	mkdir -pv $(MODULES_DIR)
	cp -vr common/modules/automirror $(MODULES_DIR)
	mkdir -pv debian/calamares-settings-ubuntu-common/etc/calamares/modules
	cp -vr common/modules/*.conf debian/calamares-settings-ubuntu-common/etc/calamares/modules
	chmod -R 755 debian/calamares-settings-ubuntu-common/usr/lib/
	chmod 644 $(MODULES_DIR)/automirror/automirror.conf
	chmod 644 $(MODULES_DIR)/automirror/module.desc
	chmod 644 $(MODULES_DIR)/pkgselect/libcalamares_viewmodule_pkgselect.so
	chmod 644 $(MODULES_DIR)/pkgselect/module.desc
	chmod 644 $(MODULES_DIR)/pkgselectprocess/libcalamares_job_pkgselectprocess.so
	chmod 644 $(MODULES_DIR)/pkgselectprocess/module.desc
	mkdir -pv debian/calamares-settings-ubuntu-common/usr/bin/
	mkdir -pv debian/calamares-settings-ubuntu-common/usr/libexec/
	cp -v common/fixconkeys-part1 debian/calamares-settings-ubuntu-common/usr/libexec/fixconkeys-part1
	cp -v common/fixconkeys-part2 debian/calamares-settings-ubuntu-common/usr/libexec/fixconkeys-part2

## calamares-settings-ubuntu 25.04.11

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.11) plucky; urgency=medium

  * Rearrange the Lubuntu module order to account for packages with new stuff
    to put in the initramfs.
  * Make forbidden_names much stronger (LP: #2088576).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 27 Nov 2024 23:28:28 -0600

calamares-settings-ubuntu (1:25.04.10) plucky; urgency=medium

  * [pkgselectprocess] Add dpkg diversions for dracut, update-initramfs, and
    locale-gen. These will be called later in the process.
  * [pkgselectprocess] Add a more robust check for apt packages when
    installing them (LP: #2089494).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 24 Nov 2024 20:51:38 -0600

calamares-settings-ubuntu (1:25.04.9) plucky; urgency=medium

  * Add a Dracut config file for Lubuntu.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Nov 2024 19:56:22 -0600

calamares-settings-ubuntu (1:25.04.8) plucky; urgency=medium

  * Add new global storage value for stacked squashfses and adjust config.
  * Switch Lubuntu to dracut.
  * Fix apt install functionality in pkgselectprocess.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 22:27:59 -0600

calamares-settings-ubuntu (1:25.04.7) plucky; urgency=medium

  * Change oem user in Lubuntu raspi prep to user number 60999

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 20 Nov 2024 17:05:19 -0800

calamares-settings-ubuntu (1:25.04.6) plucky; urgency=medium

  * Lubuntu raspi prep: Create oem user so it can actually login to sddm

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 20 Nov 2024 16:58:28 -0800

calamares-settings-ubuntu (1:25.04.5) plucky; urgency=medium

  * Fix Vcs to point to ubuntu-qt-code team LP git.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 18:29:43 +0000

calamares-settings-ubuntu (1:25.04.4) plucky; urgency=medium

  * kubuntu/modules/pkgselect.conf: Remove fcitx* from installed system.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 17:47:40 +0000

calamares-settings-ubuntu (1:25.04.3) plucky; urgency=medium

  * Lubuntu: Set executable bit on raspberry pi prep script

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 10 Nov 2024 06:30:46 -0800

calamares-settings-ubuntu (1:25.04.2) plucky; urgency=medium

  * Lubuntu: Add raspberry pi prep script 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 09 Nov 2024 09:25:43 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: calamares (>= 3.3.9),
+Build-Depends: calamares (>= 3.3.12),
                cmake,
                debhelper-compat (= 13),
                extra-cmake-modules,
@@ -18,8 +18,8 @@
                qt6-tools-dev-tools
 Standards-Version: 4.7.0
 Homepage: https://code.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
-Vcs-Browser: https://git.lubuntu.me/Lubuntu/calamares-settings-ubuntu/
-Vcs-Git: https://git.lubuntu.me/Lubuntu/calamares-settings-ubuntu.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
+Vcs-Git: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
 Rules-Requires-Root: no
 
 Package: calamares-settings-kubuntu
@@ -63,8 +63,9 @@
 
 Package: calamares-settings-ubuntu-common
 Architecture: any
-Depends: calamares (>= 3.3.9),
+Depends: calamares (>= 3.3.12),
          cryptsetup,
+         dracut-core,
          kdialog,
          keyutils,
          python3,

## calamares-settings-ubuntu 25.04.12

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.12) plucky; urgency=medium

  * [Lubuntu] Update password requirements to match NIST recommendations.
  * [Lubuntu] Allow user to override password requirements, but not by
    default.

 -- Walter Lapchynski <wxl@ubuntu.com>  Tue, 28 Jan 2025 17:14:06 +0000

## calamares-settings-ubuntu 25.04.13

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.13) plucky; urgency=medium

  * [users] Set allowWeakPasswords and allowWeakPasswordsDefault to false for
    all three flavors, but add some basic password recommendations based on
    NIST standards, warning if the password falls outside of that.
  * [packaging] Bump Calamares dependency to 3.3.13-0ubuntu4 for users fixes.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 16 Feb 2025 18:05:36 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: calamares (>= 3.3.12),
+Build-Depends: calamares (>= 3.3.13-0ubuntu4),
                cmake,
                debhelper-compat (= 13),
                extra-cmake-modules,
@@ -63,7 +63,7 @@
 
 Package: calamares-settings-ubuntu-common
 Architecture: any
-Depends: calamares (>= 3.3.12),
+Depends: calamares (>= 3.3.13-0ubuntu4),
          cryptsetup,
          dracut-core,
          kdialog,

## calamares-settings-ubuntu 25.04.14

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.14) plucky; urgency=medium

  * Add dh-sequence-qmldeps and ${qml6:Depends} to ensure all QML 6 runtime
    dependencies are properly picked up.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 01:29:25 -0600

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: calamares (>= 3.3.13-0ubuntu4),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               calamares (>= 3.3.13-0ubuntu4),
                cmake,
-               debhelper-compat (= 13),
                extra-cmake-modules,
                intltool,
                libkf6coreaddons-dev,
@@ -25,7 +26,8 @@
 Package: calamares-settings-kubuntu
 Architecture: all
 Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
+         ${qml6:Depends}
 Conflicts: calamares-settings-ubuntu-flavor
 Provides: calamares-settings-ubuntu-flavor
 Description: Kubuntu Calamares Settings and Branding
@@ -37,7 +39,8 @@
 Package: calamares-settings-lubuntu
 Architecture: all
 Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
+         ${qml6:Depends}
 Recommends: lubuntu-installer-prompt
 Conflicts: calamares-settings-ubuntu-flavor
 Provides: calamares-settings-ubuntu-flavor
@@ -52,7 +55,8 @@
 Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
          qt6-style-kvantum,
          qt6-style-kvantum-themes,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${qml6:Depends}
 Conflicts: calamares-settings-ubuntu-flavor
 Provides: calamares-settings-ubuntu-flavor
 Description: Ubuntu Unity Calamares Settings and Branding
@@ -70,12 +74,11 @@
          keyutils,
          python3,
          python3-distro,
-         qml6-module-qtquick,
-         qml6-module-qtquick-window,
          snapd-seed-glue,
          squashfs-tools,
          sudo,
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends}
 Description: Common Calamares Settings
  This package contains the common Calamares settings for all flavors.

## calamares-settings-ubuntu 25.04.15

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.15) plucky; urgency=medium

  * Move calamares -> libcalamares-dev for build dependencies.
  * [basicwallpaper] Bump minimum CMake version, remove .user file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 13:10:40 -0600

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-qmldeps,
-               calamares (>= 3.3.13-0ubuntu4),
                cmake,
                extra-cmake-modules,
                intltool,
+               libcalamares-dev (>= 3.3.13-0ubuntu4),
                libkf6coreaddons-dev,
                libqt6svg6-dev,
                libyaml-cpp-dev,

## calamares-settings-ubuntu 25.04.16

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.16) plucky; urgency=medium

  * Fix installation of apt packages more consistently (LP: #2089494).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 24 Feb 2025 03:53:14 -0600

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                cmake,
                extra-cmake-modules,
                intltool,
+               libapt-pkg-dev,
                libcalamares-dev (>= 3.3.13-0ubuntu4),
                libkf6coreaddons-dev,
                libqt6svg6-dev,
@@ -68,19 +69,33 @@
 Package: calamares-settings-ubuntu-common
 Architecture: any
 Depends: calamares (>= 3.3.13-0ubuntu4),
+         calamares-settings-ubuntu-common-data (= ${binary:Version}),
          cryptsetup,
          dracut-core,
          kdialog,
          keyutils,
-         python3,
-         python3-distro,
          snapd-seed-glue,
          squashfs-tools,
          sudo,
          ${misc:Depends},
-         ${qml6:Depends},
          ${shlibs:Depends}
 Description: Common Calamares Settings
  This package contains the common Calamares settings for all flavors.
  There is also a automirror Python script to set sources based on
  geolocation.
+ .
+ Common settings for all Ubuntu flavors.
+
+Package: calamares-settings-ubuntu-common-data
+Architecture: all
+Depends: ${misc:Depends},
+         python3,
+         python3-distro,
+Conflicts: calamares-settings-ubuntu-common (<< 1:25.04.16)
+Replaces: calamares-settings-ubuntu-common (<< 1:25.04.16)
+Description: Data for Common Calamares Settings
+ This package contains the common Calamares settings for all flavors.
+ There is also a automirror Python script to set sources based on
+ geolocation.
+ .
+ Architecture-independent data for the common Calamares settings.

## calamares-settings-ubuntu 25.04.17

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.17) plucky; urgency=medium

  * [Lubuntu] Update welcome slides for Plucky. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Thu, 06 Mar 2025 10:23:08 +0000

## calamares-settings-ubuntu 25.04.18

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.18) plucky; urgency=medium

  * Add python3 as build-dep. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 07 Mar 2025 01:11:36 +0000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                libkf6coreaddons-dev,
                libqt6svg6-dev,
                libyaml-cpp-dev,
+               python3,
                qt6-base-dev,
                qt6-declarative-dev,
                qt6-l10n-tools,
